import java.util.Scanner;

/**
 * Short example of how to use try-catch-finally in Java.
 *
 * @author Stefan Nilsson
 * @version 2017-01-30
 */
public class ErrorHandling {
    public static void main(String[] args) {
        Scanner sc = new Scanner(System.in);
        String[] choices = {"Glass", "Godis", "Mat"};
        boolean inputIsReady = false;

        // Repeatedly asks for input until a correct number is entered.
        while (!inputIsReady) {
            try {
                System.out.print("Ange ett index: ");
                int i = Integer.parseInt(sc.nextLine());
                if (i < 0 || i >= choices.length) {
                    System.out.println("Fel index");
                } else {
                    System.out.println("Ditt val: " + choices[i]);
                    inputIsReady = true;
                }
            } catch (NumberFormatException e) {
                System.out.println("Ange ett heltal!");
            } finally {
                // Exekveras alltid.
                System.out.println("<finally>");
            }    
        }
        sc.close();
    }
}
